﻿@model DropDown.Models.DropDownViewModel

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">

        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group">
            @Html.LabelFor(model => model.ProvinceId, htmlAttributes: new { @class = "control-label col-md-2" })
            @if (ViewBag.province != null)
            {
                @Html.DropDownListFor(model => model.ProvinceId, ViewBag.province as SelectList, "--Select province--", new { @class = "form-control", @id = "PId" })
            }
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DistrictId, htmlAttributes: new { @class = "control-label col-md-2" })

            @Html.DropDownListFor(model => model.DistrictId, new SelectList(" "), "--Select province--", new { @class = "form-control", @id = "DId" })
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
<script src="~/Scripts/jquery-3.3.1.js"></script>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script>
        $(document).ready(function () {
            $("#PId").change(function () {
                $.get("/Ddown/GetDistrictList", { ProvinceId: $("#PId").val() }, function (data) {
                    $("#DId").empty();
                    $.each(data, function (index, row) {
                        $("#DId").append("<option value ='" + row.DistrictId + "' >" + row.DistrictName + "</option>")
                    });
                });
            })
        });
    </script>
}


